{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "2e29ba0a-8c8d-43a7-8c69-91a45dd510f4",
   "metadata": {
    "tags": []
   },
   "source": [
    "### Python Data-Types "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "985a7730-4e2f-4dd8-8963-0c05929d6537",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "10\n"
     ]
    }
   ],
   "source": [
    "#### Numbers\n",
    "some_number = 9\n",
    "some_decimal_number = 9.123\n",
    "# some math\n",
    "result = some_number + 1 \n",
    "print(result)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "bc668dd1-2c00-4428-9792-87fc82268066",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "anna schmidt\n"
     ]
    }
   ],
   "source": [
    "#### Text (string)\n",
    "some_name = \"anna\"\n",
    "some_last_name= \"schmidt\"\n",
    "# concat\n",
    "result = some_name + \" \" + some_last_name\n",
    "print(result)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "id": "15f12de7-b59e-47a5-8493-9ce6dc993b1a",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "ANNA SCHMIDT\n"
     ]
    }
   ],
   "source": [
    "#### Text transformation\n",
    "print(result.upper()) # or .lower()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "id": "ef60122f-ff4e-41ba-81c6-03bd425f4182",
   "metadata": {},
   "outputs": [],
   "source": [
    "#### Boolean\n",
    "wahr = True # 1\n",
    "falsch = False # 0\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "id": "5286e63f-d505-4d7f-988d-a4272530edd7",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "[10, 20, 30]\n",
      "3\n",
      "10\n"
     ]
    }
   ],
   "source": [
    "#### List\n",
    "some_list = [10,20,30]\n",
    "print(some_list)\n",
    "print(len(some_list)) # length\n",
    "print(some_list[0]) # first position starts at 0 !"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "id": "de268e19-56cb-4b15-9eb4-d2d1c206e816",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "['some', 'text', 'going', 'here']\n",
      "4\n",
      "['some', 'text', 'going', 'here', 'abit more']\n",
      "5\n"
     ]
    }
   ],
   "source": [
    "#### More lists\n",
    "some_text_list = [\"some\",\"text\",\"going\",\"here\"]\n",
    "print(some_text_list)\n",
    "print(len(some_text_list))\n",
    "# add something to the list\n",
    "some_text_list.append(\"abit more\")\n",
    "print(some_text_list)\n",
    "print(len(some_text_list))\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "f0fe7482-edc7-42b8-9f8d-dd54e8fe67f0",
   "metadata": {},
   "source": [
    "#### check type"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 9,
   "id": "ec30a547-3e4f-436d-965e-28434dcbb7bb",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "<class 'float'>\n",
      "<class 'str'>\n",
      "<class 'bool'>\n"
     ]
    }
   ],
   "source": [
    "print(type(1.0))\n",
    "print(type(\"bla\"))\n",
    "print(type(wahr))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "ee9a0aca-344c-4f1e-adc0-8feaf5fe59ea",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.10.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
